Package com.macrofocus.high_d.tablelens.javafx

# Class JavaFXTableLensView<Row,C>

java.lang.Object
com.macrofocus.high_d.tablelens.AbstractTableLensView<javafx.scene.Node,javafx.scene.paint.Color,Row,C>
com.macrofocus.high_d.tablelens.javafx.JavaFXTableLensView<Row,C>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<javafx.scene.Node>`, `com.macrofocus.crossplatform.CPInteractiveComponent<javafx.scene.Node>`, `TableLensView<javafx.scene.Node,javafx.scene.paint.Color,Row,C>`

public class JavaFXTableLensView<Row,C> extends AbstractTableLensView<javafx.scene.Node,javafx.scene.paint.Color,Row,C>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.tablelens.TableLensView

  `TableLensView.PropertyType`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.tablelens.AbstractTableLensView

  `orderListener, properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXTableLensView()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)`
  `void`
  `addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)`
  `protected com.macrofocus.crossplatform.CPComponent<javafx.scene.control.Button>`
  `createAxisHeaderView(com.macrofocus.high_d.axis.AxisModel axisModel)`
  `protected void`
  `createOverplots()`
  `Row`
  `getClosestRow(int x, int y)`
  `javafx.scene.control.Button`
  `getHeader(com.macrofocus.high_d.axis.AxisModel axisModel)`
  `int`
  `getHeight()`
  `TableLensModel`
  `getModel()`
  Returns the ScatterPlotModel that provides the data displayed by this ScatterPlotView.
  `javafx.scene.Node`
  `getNativeComponent()`
  `List<Row>`
  `getRows(com.macrofocus.geom.Rectangle2D rect)`
  Returns the nodes overlapping the specified rectangle.
  `int`
  `getWidth()`
  `boolean`
  `isSelectionMode()`
  `protected void`
  `refresh()`
  `void`
  `removeMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)`
  `void`
  `removeMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)`
  `void`
  `setLicenseModel(LicenseModel licenseModel)`
  `void`
  `setModel(TableLensModel model)`
  Sets the data model and registers with it for listener notifications from the new data model.
  `void`
  `setSelectionMode(boolean value)`
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.macrofocus.high_d.tablelens.AbstractTableLensView

  `getAntialiasing, getColorTheme, getColumnSize, getRendering, getRowSize, getRubberBand, getShowFiltered, isShowTiming, setAntialiasing, setColorTheme, setRendering, setShowFiltered, setShowTiming`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXTableLensView

    public JavaFXTableLensView()

- ## Method Details

  - ### addMouseListener

    public void addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)

  - ### addMouseMotionListener

    public void addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)

  - ### removeMouseListener

    public void removeMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)

  - ### removeMouseMotionListener

    public void removeMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()

  - ### getWidth

    public int getWidth()

  - ### getHeight

    public int getHeight()

  - ### refresh

    protected void refresh()
    Specified by:
      `refresh` in class `AbstractTableLensView<javafx.scene.Node,javafx.scene.paint.Color,Row,C>`

  - ### getHeader

    public javafx.scene.control.Button getHeader(com.macrofocus.high_d.axis.AxisModel axisModel)

  - ### createAxisHeaderView

    protected com.macrofocus.crossplatform.CPComponent<javafx.scene.control.Button> createAxisHeaderView(com.macrofocus.high_d.axis.AxisModel axisModel)

  - ### getClosestRow

    public Row getClosestRow(int x, int y)

  - ### getRows

    public List<Row> getRows(com.macrofocus.geom.Rectangle2D rect)
    Description copied from interface: `TableLensView`
    Returns the nodes overlapping the specified rectangle.
    Parameters:
      `rect` - the rectangle in screen coordinates
    Returns:
      the list of nodes

  - ### isSelectionMode

    public boolean isSelectionMode()

  - ### setModel

    public void setModel(TableLensModel model)
    Description copied from interface: `TableLensView`
    Sets the data model and registers with it for listener notifications from the new data model.
    Parameters:
      `model` - the new data model
    See Also:
      - `TableLensView.getModel()`

  - ### setSelectionMode

    public void setSelectionMode(boolean value)

  - ### getModel

    public TableLensModel getModel()
    Returns the ScatterPlotModel that provides the data displayed by this ScatterPlotView.
    Returns:
      the ScatterPlotModel that provides the data displayed by this ScatterPlotView
    See Also:
      - `TableLensView.setModel(TableLensModel)`

  - ### setLicenseModel

    public void setLicenseModel(LicenseModel licenseModel)

  - ### createOverplots

    protected void createOverplots()
    Specified by:
      `createOverplots` in class `AbstractTableLensView<javafx.scene.Node,javafx.scene.paint.Color,Row,C>`